package com.ssj.service.weixin.sales.service;

import com.ssj.bean.weixin.libmy.domain.TbLibJoin;
import com.ssj.bean.weixin.sales.domain.WorkDay;
import com.ssj.framework.core.common.service.BaseService;

import java.util.Date;
import java.util.List;


public interface WorkDayService extends BaseService<WorkDay, String>{

	 public WorkDay getEndWorkDay(Date curDate,Integer day,String libId);

	 
	 public List<WorkDay> getMonthWorkDay(Date curDate,String libId);
	 
	 
	 public WorkDay getNextWorkDay(Date curDate,String libId);
	 
	 public void insertWorkDayByLibId(TbLibJoin lib);
	 
	 public List<WorkDay> findWorkDayByLibId(String libId);
	 
	 public List<WorkDay> findWorkDayByDate(String libId,String datestart,String dateend);
	 
}
